# This package depends on automagic byte compilation
# https://fedoraproject.org/wiki/Changes/No_more_automagic_Python_bytecompilation_phase_2
%global py_byte_compile 1

Name:          system-switch-java
Version:       1.1.8
Release:       %mkrel 2
Summary:       A tool for changing the default Java toolset
Group:         System/Configuration

License:       GPLv2+ and BSD
URL:           https://pagure.io/%{name}
Source0:       http://releases.pagure.org/%{name}/%{name}-%{name}-%{version}.tar.gz
Patch0:        pythonversion.bad.patch
# ask autopoint to use gettext installed on the system to prevent mismatch in version
Patch1:        configure.patch

BuildArch:     noarch

BuildRequires: desktop-file-utils
BuildRequires: gettext-devel
BuildRequires: newt
BuildRequires: pkgconfig(libglade-2.0)
BuildRequires: pkgconfig(python3)

Requires:      chkconfig
Requires:      libglade2.0
Requires:      python3-newt
Requires:      python3-gobject
Requires:      python3
Requires:      python3-libuser
Requires:      usermode


%description
The system-switch-java package provides an easy-to-use tool to select
the default Java toolset for the system.

%prep
%setup -q -n system-switch-java-system-switch-java-1.1.8
%patch0
%patch1

sed -i 's|Icon=system-switch-java.png|Icon=system-switch-java|' %{name}.desktop.in

%build
sh ./autogen.sh
%configure
%make_build

%install
%make_install

desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README COPYING COPYING.icon
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.py*
%{_datadir}/%{name}/*.glade
%{_datadir}/%{name}/__pycache__/


%changelog
* Thu Dec 08 2022 umeabot <umeabot> 1.1.8-2.mga9
+ Revision: 1919437
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 1.1.8-1.mga8
+ Revision: 1621874
- updated to new sources 1.1.8
- autogen.sh is now run during the build instead prior
- configure.patch to avoid gettext version mismatch

* Sun Feb 16 2020 umeabot <umeabot> 1.1.7.2-3.mga8
+ Revision: 1536350
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Oct 16 2019 daviddavid <daviddavid> 1.1.7.2-2.mga8
+ Revision: 1454193
- port to python 3

* Thu Jul 18 2019 daviddavid <daviddavid> 1.1.7.2-1.mga8
+ Revision: 1422427
- bumped to 1.1.7.2 with gtk3 support
  (https://pagure.io/system-switch-java/c/801cd26e46075fa822b789ff79e775bc9079ea53?branch=master)
- removed BR of intltool
- added BR of gettext-devel
- Switch requires from pygtk2 (no longer needed) to python2-gobject to reflect new deps

* Mon Dec 31 2018 daviddavid <daviddavid> 1.1.7.1-1.mga7
+ Revision: 1347519
- new version: 1.1.7.1 (sync with fc29)

* Wed Sep 19 2018 umeabot <umeabot> 1.1.6-3.mga7
+ Revision: 1276643
- Mageia 7 Mass Rebuild

* Sun Jun 04 2017 ngompa <ngompa> 1.1.6-2.mga6
+ Revision: 1106673
- Fix URLs for package
- Fix newt requires (requires python2-newt)

* Tue May 10 2016 daviddavid <daviddavid> 1.1.6-1.mga6
+ Revision: 1012254
- updated to upstream release of 1.1.6
- added upsteam patch 107 for better jdk9 support

* Wed Feb 17 2016 umeabot <umeabot> 1.1.5-7.mga6
+ Revision: 963855
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.5-6.mga5
+ Revision: 748397
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.5-5.mga5
+ Revision: 689665
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.5-4.mga4
+ Revision: 521663
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 fwang <fwang> 1.1.5-3.mga3
+ Revision: 391544
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 1.1.5-2.mga3
+ Revision: 383973
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 06 2012 gil <gil> 1.1.5-1.mga2
+ Revision: 192390
- added more BR/R
- build fix
  fixed BR/R
- imported package system-switch-java

